Documents
Option Value Get
Retrieves a single option value by its GUID.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
optionValueGuid*string
GUID of the option value.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/documents/option/c9bf9e57-1685-4c89-bafb-ff5af830be8a/get"{ "result": { "data": { "optionValue": { "optionValueGuid": "c9bf9e57-1685-4c89-bafb-ff5af830be8a", "entityType": "DocumentSolutionConfiguration", "entityId": "a3bb189e-8bf9-3888-9912-ace4e6543002", "optionDefinitionId": "", "customKey": "watermark.text", "customGroup": "rendering", "value": "CONFIDENTIAL", "effectiveKey": "watermark.text", "effectiveGroup": "rendering", "systemType": "string", "createdDate": "2026-07-14T09:30:00.0000000+00:00", "lastModifiedDate": "2026-07-14T09:30:00.0000000+00:00" } }, "statusCode": 200, "message": "OK" }, "origin": "https://app.example.com", "dateTime": "2026-07-14T09:30:00.0000000+00:00", "operationId": "0HN7GK9M4T2R5"}{ "code": "DATA_NAME_REQUIRED", "message": "Name is required."}Empty
Empty
{ "code": "GET_DATA_SOURCE_ERROR", "message": "An unexpected error occurred.", "eventId": "a1b2c3d4"}